%define	api_version 2
%define lib_major   2

%define req_libgnomeui_version 2.1.0
%define req_startup_notification_version 0.5

Summary:          The gnome desktop programs for the GNOME GUI desktop environment.
Name:             gnome-desktop
Version:          2.2.0.1
Release:          2mdk
License:          GPL/LGPL
Group:            Graphical desktop/GNOME
Source0:          ftp://ftp.gnome.org/pub/GNOME/2.0.1/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.2.0-1mdk fix gettext initialisation
Patch0:			  gnome-desktop-2.2.0-i18n.patch.bz2
# (fc) 2.2.0.1-2mdk search in KDE 3.1 icon path
Patch1:			  gnome-desktop-2.2.0.1-crystalsvg.patch.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-root
URL:              http://www.gnome.org
Requires:		  libgnomeui2_0 >= %{req_libgnomeui_version}
BuildRequires:    libgnomeui2_0-devel >= %{req_libgnomeui_version}
BuildRequires:	  libstartup-notification-1_0-devel >= %{req_startup_notification_version}

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software.  The gnome-core package includes the basic programs and
libraries that are needed to install GNOME.

GNOME Desktop provides the core icons and libraries for the gnome
desktop.

%package -n lib%{name}-%{api_version}_%{lib_major}
Summary:	%{summary}
Group:		%{group}
Requires:   %{name} >= %{version}
Provides:	%{name}-%{api_version} = %{version}-%{release}
Requires: libstartup-notification-1_0 >= %{req_startup_notification_version}

%description -n lib%{name}-%{api_version}_%{lib_major}
GNOME Desktop provides the core icons and libraries for the gnome
desktop.

%package -n lib%{name}-%{api_version}_%{lib_major}-devel
Summary:	Static libraries, include files for gnome-desktop
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	lib%{name}-%{api_version}_%{lib_major} = %{version}
Requires:   libgnomeui2_0-devel
Requires:   libstartup-notification-1_0-devel >= %{req_startup_notification_version}

%description -n lib%{name}-%{api_version}_%{lib_major}-devel
GNOME Desktop provides the core icons and libraries for the gnome
desktop.

%prep
%setup -q
%patch0 -p1 -b .i18n
%patch1 -p1 -b .crystalsvg

perl -pi -e 's/GNOME_VENDOR=""/GNOME_VENDOR="%_vendor"/g' configure.in
perl -pi -e 's/GNOME_DATE=""/GNOME_DATE=`date --iso-8601`/g' configure.in
#needed by the script below
autoconf

#needed by patch0 
automake

%build

%configure2_5x

%make


%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name}-2.0

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/mdk
ln -s ../../icons/large/mandrake.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/mdk/mandrake.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): icon="%{_datadir}/pixmaps/gnome-logo-icon-transparent.png" title="GNOME" needs="gnome" section="Configuration"
EOF

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -p /sbin/ldconfig -n lib%{name}-%{api_version}_%{lib_major}

%postun -p /sbin/ldconfig -n lib%{name}-%{api_version}_%{lib_major} 

%files -f %{name}-2.0.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/gnome
%{_datadir}/gnome-about
%{_datadir}/pixmaps/*
%{_menudir}/*

%files -n lib%{name}-%{api_version}_%{lib_major}
%defattr (-, root, root)
%{_libdir}/*.so.*

%files -n lib%{name}-%{api_version}_%{lib_major}-devel
%defattr (-, root, root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-2mdk
- Patch1: seach in KDE 3.1 icon path too

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Patch0: fix i18n initialisation

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-2mdk
- Recompiled against latest openssl

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- Remove patch0 (must be applied to libgnomeui now)

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-1mdk
- Release 2.0.8

* Wed Sep  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-4mdk
- Update patch0 to prevent crashes

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-3mdk
- Patch0: fix icons path

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-2mdk
- set GNOME_VENDOR and GNOME_BUILD variable

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk
- Add menu entry

* Mon Jul 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Wed Jun 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Tue Jun 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Add link to mandrake icon

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.22-2mdk
- Recompiled against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.22-1mdk
- Release 1.5.22

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.19-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.19-1mdk
- Release 1.5.19

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.18-1mdk
- Release 1.5.18

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.17-1mdk
- Release 1.5.17

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.16-1mdk
- Release 1.5.16

* Sat Apr  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.15-1mdk
- Release 1.5.15 (GUADEC Powered)

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.14-2mdk
- Fix bad uid for documentation files 

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.14-1mdk
- First Mdk package

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Fixed remaining formating issues
- converted to .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-desktop
